Subject: bug#26580: 25.1; inappropriate case folding while isearch-forward-regexp

From: Tino Calancha <[email-masked]>
Date: Fri, 21 Apr 2017 18:50:39 +0900 (JST)

On Fri, 21 Apr 2017, Andreas Schwab wrote:

> On Apr 21 2017, Tino Calancha <[email-masked]> wrote:
>
>> A capital letter triggers a case sensitive search.  In your last example,
>> upper letter C turned on the case sensitive search.  It might be argue
>> if that should happen in this case.  I think the current way is handy.
>
> IMHO that is a bug.  Just like \W doesn't trigger it, \cC should not do
> it either.
Yeah, it looks strange.  I would say, if \W doesn't trigger, then c\C 
would not either (\cC might do, because the upper case is not escaped).

I'm also wondering if \W should do what is doing.  Is it documented 
somewhere that the slash does not trigger case sensitivity?